APT-EXTRACTTEMPLAT(1)

NAME
apt-extracttemplates - Utility to extract DebConf config and templates from Debian packages

SYNOPSIS

apt-extracttemplates [-hv] [-t=temporary directory] file...

DESCRIPTION

apt-extracttemplates will take one or more Debian package files as input and write out (to a temporary directory) all associated config scripts and template files. For each passed in package that contains config scripts and templates, one line of output will be generated in the format:

package version template-file config-script

template-file and config-script are written to the temporary directory specified by the -t or --tempdir (APT::ExtractTemplates::TempDir) directory, with filenames of the form package.template.XXXX and package.config.XXXX

OPTIONS

All command line options may be set using the configuration file, the descriptions indicate the configuration option to set. For boolean options you can override the config file by using something like -f-,--no-f, -f=no or several other variations.

-t, --tempdir,
    Temporary directory in which to write extracted debconf template files and config scripts Configuration Item: APT::ExtractTemplates::TempDir

-h, --help,
    Show a short usage summary.

-v, --version,
    Show the program version.

-c, --config-file,
    Configuration File; Specify a configuration file to use. The program will read the default configuration file and then this configuration file. See apt.conf(5) for syntax information.

-o, --option,
    Set a Configuration Option; This will set an arbitary configuration option. The syntax is -o Foo::Bar=bar.

SEE ALSO

apt.conf(5)

DIAGNOSTICS

apt-extracttemplates returns zero on normal operation, decimal 100 on error.

BUGS

APT bug page: http://bugs.debian.org/src:apt. If you wish to report a bug in APT, please see /usr/share/doc/debian/bug-reporting.txt or the reportbug(1) command.

AUTHORS
Jason Gunthorpe, APT team.